package com.lukouguoji.gjc.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.gjc.R
import com.lukouguoji.gjc.databinding.ActivityGjcBoxWeighingAddBinding
import com.lukouguoji.gjc.viewModel.GjcBoxWeighingAddViewModel
import com.lukouguoji.module_base.base.BaseBindingActivity

/**
 * 国际出港板箱过磅添加页面
 */
class GjcBoxWeighingAddActivity :
    BaseBindingActivity<ActivityGjcBoxWeighingAddBinding, GjcBoxWeighingAddViewModel>() {

    override fun layoutId() = R.layout.activity_gjc_box_weighing_add

    override fun viewModelClass() = GjcBoxWeighingAddViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("板箱过磅")
        binding.viewModel = viewModel
        viewModel.initOnCreated(this)
    }

    companion object {
        @JvmStatic
        fun startForAdd(context: Context) {
            val starter = Intent(context, GjcBoxWeighingAddActivity::class.java)
            context.startActivity(starter)
        }
    }
}
